package com.stellvoy.task.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("task_interest")
public class TaskInsterestEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "id")
    private Long id;
    private Long taskId;
    private Long userId;
    private Long interestId;
    private LocalDateTime createTime;
}
